Summary: administration tool to configure centraly a network of computers.
Name: sysf
Version: 2.05
Release: 2
Copyright: GPL 
Group: System Environment/Base
Source: http://maths.durham.ac.uk/~dma0bmp/SRC/sysf-2.05.tar.gz 
Buildroot: /var/tmp/sysf-root

%description 
Sysf is a system administration tool to configure centrally a network of
Unix/Linux computers. All the system configuration files of the 
individual computers are archived in a common set of directories and sysf
maintains this archive of system files. Sysf complements linuxconf
and NIS. With sysf it is possible to ensure the homogeneous configuration
of all computers on a network, to quickly integrate a new computer on the 
network and to easily reinstall or upgrade the operating system. 
From a security point of view, sysf provides an efficient way to check the 
ownership, the access modes and the content of all the important files on the 
network.

%prep
%setup 

%build
make CFLAGS="$RPM_OPT_FLAGS" 

%install
SYSF_DIR=$RPM_BUILD_ROOT/usr/local/sys/config 
SBIN=$RPM_BUILD_ROOT/sbin
ETC_DIR=$RPM_BUILD_ROOT/etc

for D in $ETC_DIR $SBIN $SYSF_DIR 
do
  if  [ ! -d $D ]; then 
    mkdir -p $D
  fi
done

for D in BIN extra cron daemons etc filesys keys login info mail net nis rc root printing security xinetd X11    
do
  if  [ ! -d $SYSF_DIR/$D ]; then 
    mkdir -p $SYSF_DIR/$D
  fi
done

install -s -m 750 sysf $SBIN/sysf
install -s -m 750 sysf $SBIN/sysfrpm
install -s -m 750 oeh  $SBIN/oeh

install -s -m 640 Examples/sysf.conf.SAMPLE   $SYSF_DIR/sysf.conf.SAMPLE
install -s -m 640 Examples/hosts.conf.SAMPLE  $SYSF_DIR/hosts.conf.SAMPLE
install -s -m 640 Examples/sysf.cf.SAMPLE     $ETC_DIR/sysf.cf.SAMPLE

# we create BIN_SAMPLE as a set of examples for BIN
(cd Examples; tar -cf - BIN | (cd $SYSF_DIR; tar -xf -))
/bin/rm -rf  $SYSF_DIR/BIN_SAMPLE
mv $SYSF_DIR/BIN $SYSF_DIR/BIN_SAMPLE


%files
%defattr(-,root,root)
/sbin/sysf
/sbin/sysfrpm
/sbin/oeh
/usr/local/sys/config/BIN_SAMPLE 
/usr/local/sys/config/extra
/usr/local/sys/config/cron 
/usr/local/sys/config/daemons 
/usr/local/sys/config/etc 
/usr/local/sys/config/filesys 
/usr/local/sys/config/keys 
/usr/local/sys/config/login 
/usr/local/sys/config/info 
/usr/local/sys/config/mail 
/usr/local/sys/config/net 
/usr/local/sys/config/nis 
/usr/local/sys/config/rc 
/usr/local/sys/config/root 
/usr/local/sys/config/printing 
/usr/local/sys/config/security 
/usr/local/sys/config/xinetd 
/usr/local/sys/config/X11


%config /usr/local/sys/config/sysf.conf.SAMPLE
%config /usr/local/sys/config/hosts.conf.SAMPLE
%config /etc/sysf.cf.SAMPLE
%doc doc/sysf.sgml 
%doc doc/sysf.html
%doc doc/sysf.ps
%doc doc/sysfrpm.sgml 
%doc doc/sysfrpm.html
%doc doc/sysfrpm.ps
%doc doc/sysf-1.html
%doc doc/sysf-2.html
%doc doc/sysf-3.html
%doc doc/sysf-4.html
%doc doc/sysf-5.html
%doc doc/sysf-6.html
%doc doc/sysf-7.html
%doc doc/sysf-8.html
%doc doc/sysf-9.html
%doc doc/sysf-10.html
%doc doc/sysf-11.html
%doc doc/sysf-12.html
%doc doc/sysf-13.html
%doc doc/sysf-14.html
